> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Link candidates to a skill

> Link a set of candidates to a specific skill. Candidates already linked to the skill will be skipped.



## OpenAPI

````yaml /openapi-private.json post /skills/{id}/candidates/_link
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /skills/{id}/candidates/_link:
    post:
      tags:
        - Skills
      summary: Link candidates to a skill
      description: >-
        Link a set of candidates to a specific skill. Candidates already linked
        to the skill will be skipped.
      operationId: linkCandidatesToSkill
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkCandidatesToSkillDto'
      responses:
        '204':
          description: Candidates linked to skill successfully
        '400':
          description: Bad request - invalid candidate IDs or selection
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '404':
          description: Skill not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    LinkCandidatesToSkillDto:
      type: object
      properties:
        selection:
          type: object
          properties:
            type:
              type: string
              enum:
                - included
            ids:
              type: object
              properties:
                include:
                  minItems: 1
                  maxItems: 250
                  type: array
                  items:
                    type: string
                    minLength: 1
                  uniqueItems: true
              required:
                - include
          required:
            - type
            - ids
      required:
        - selection
      id: PrivateLinkCandidatesToSkillDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````